EDIT - feature request #7025

LoginDialog tabs configurable per cdmlib-remote instance
10/19/2017 02:25 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority 11 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

The tabs Register and PasswordRecovery need to be configurable, since not all projects will need or want to offer these functions.

The visibility of these tabs should be made configurable via the
~/.cdmLibrary/remote-webapp/{instance-name}/vaadin-apps.properties file.

Suggested property names:

cdm-vaadin.component.LoginDialog.TabRegister=true
cdm-vaadin.component.LoginDialog.TabPasswordRecovery=true

Related issues:
Related to EDIT - feature request #9498: Password Recovery, Registration and ...
Related to EDIT - feature request #9497: User self registration service

Closed
Closed

Associated revisions

Revision 2f84b56a - 10/19/2017 03:10 PM - Andreas Kohlbecker

ref #7025 disabling Registratin and PasswordRecovery tabs as long as this is not configurable

History

#1 - 10/19/2017 02:26 PM - Andreas Kohlbecker
- Tracker changed from bug to feature request

- Description updated

#2 - 03/23/2018 11:10 AM - Andreas Kohlbecker
- Priority changed from New to Priority11

#3 - 03/02/2021 09:34 AM - Andreas Kohlbecker

- Related to feature request #9498: Password Recovery, Registration and Login Dialog Tab fully functional added

#4 - 03/02/2021 09:34 AM - Andreas Kohlbecker

- Related to feature request #9497: User self registration service added
